Bug 486296 - Causes crash in client applications at startup.
Causes crash in client applications at startup.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghex (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 04:39 EST by Dodji Seketeli
Modified: 2009-07-14 11:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A changes to the ghex.spec to be applied F-9 and F-10 (1.63 KB, patch)
2009-02-19 04:42 EST, Dodji Seketeli
no flags Details | Diff
The patch to ghex to be applied the the sources in F-9 and F-10 (942 bytes, patch)
2009-02-19 04:45 EST, Dodji Seketeli
no flags Details | Diff

  None (edit)
Description Dodji Seketeli 2009-02-19 04:39:03 EST
There is a bug in the GtkHex library, provided by the ghex package that causes it client applications to randomly crash on startup.

I proposed a patch upstream at http://bugzilla.gnome.org/show_bug.cgi?id=571892 and it got committed. A new version (2.24) of ghex got released even.

So I am proposing to backport the fix into F-9 and F-10 at least. F-11 will have the new ghex. Patches will follow in attachment.
Comment 1 Dodji Seketeli 2009-02-19 04:42:50 EST
Created attachment 332515 [details]
A changes to the ghex.spec to be applied F-9 and F-10

The koji build of the modified spec file for the dist-f9-updates-candidates target is at http://koji.fedoraproject.org/koji/taskinfo?taskID=1139013.
Comment 2 Dodji Seketeli 2009-02-19 04:45:33 EST
Created attachment 332516 [details]
The patch to ghex to be applied the the sources in F-9 and F-10

This patch needs to be applied to the sources before you can build it with the new spec file accompanying this bug. It has been applied upstream at http://bugzilla.gnome.org/show_bug.cgi?id=571892.
Comment 3 Dodji Seketeli 2009-02-19 04:47:05 EST
Comment on attachment 332515 [details]
A changes to the ghex.spec to be applied F-9 and F-10

The koji build of the modified spec file for the dist-f10-updates-candidate target completed successfully at http://koji.fedoraproject.org/koji/taskinfo?taskID=1139062
Comment 4 Dodji Seketeli 2009-02-19 04:48:47 EST
Also, I think F-11 really need to have the new ghex that got release yesterday at http://ftp.acc.umu.se/pub/gnome/sources/ghex/2.24/ghex-2.24.0.tar.bz2 .
Comment 5 Dodji Seketeli 2009-02-19 04:52:47 EST
Comment on attachment 332515 [details]
A changes to the ghex.spec to be applied F-9 and F-10

Oops, sorry, the right patch to ghex.spec is:

Index: ghex.spec
===================================================================
RCS file: /cvs/pkgs/rpms/ghex/F-9/ghex.spec,v
retrieving revision 1.26
diff -u -r1.26 ghex.spec
--- ghex.spec	11 Apr 2008 05:15:04 -0000	1.26
+++ ghex.spec	19 Feb 2009 09:13:44 -0000
@@ -1,6 +1,6 @@
 Name:           ghex
 Version:        2.22.0
-Release:        1
+Release:        2%{?dist}
 
 Summary:        Binary editor for GNOME
 
@@ -8,6 +8,12 @@
 License:        GPLv2+
 URL:            http://ftp.gnome.org/pub/GNOME/sources/ghex/
 Source0:        http://ftp.gnome.org/pub/GNOME/sources/ghex/2.22/ghex-%{version}.tar.bz2
+#This is a backport of a patch that fix random startup
+#crashes on x86_64 machines, at least.
+#I proposed it to upstream at
+#http://bugzilla.gnome.org/show_bug.cgi?id=571892.
+#It got accepted upstream and in included in the 2.24 release.
+Patch0:         %{name}-%{version}-startup-crash.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  libgnomeui-devel
@@ -18,6 +24,7 @@
 BuildRequires:  scrollkeeper
 BuildRequires:  perl-XML-Parser
 BuildRequires:  gnome-doc-utils
+BuildRequires:  libtool
 Requires(post): GConf2
 Requires(post): scrollkeeper
 Requires(post): /sbin/ldconfig
@@ -43,10 +50,12 @@
 
 %prep
 %setup -q
+%patch0 -p1 -b .startup-crash
 
 %build
 %configure --disable-schemas-install --disable-static
-make %{?_smp_mflags} 
+#Use system libtool to avoid setting system rpath to generated libraries
+make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool
 
 
 %install
@@ -92,6 +101,7 @@
 %{_datadir}/gnome-2.0/ui/*
 %{_datadir}/icons/hicolor/*/apps/*
 %{_libdir}/*.so.*
+%exclude %{_libdir}/*.a
 
 %files devel
 %defattr(-,root,root,-)
@@ -101,6 +111,12 @@
 
 
 %changelog
+* Thu Feb 19 2009 Dodji Seketeli <dodji@redhat.org> - 2.22.0-2
+- Add %{?dist} to Release
+- Backport patch for crash: http://bugzilla.gnome.org/show_bug.cgi?id=571892
+- Use system libtool to avoid setting standard rpath to generated libraries
+- Explicitely exclude *.a files
+
 * Fri Apr 11 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.22.0-1
 - Update to 2.22.0 (no code changes, just a late release for Gnome 2.22 with
   updated translations)
Comment 6 Thorsten Leemhuis 2009-02-19 05:09:13 EST
thx for the report. I'll look into this later today; a few comments nevertheless now

- I'd say updating ghex to 2.24 in F10 is the better solution than to patch it, as the 2.24 version likely will fit well into the gnome 2.24 stack from F10
- I don't use dist in devel on purpose for packages that are not regularly rebuild
- you seem to be interested in ghex a lot; want to take it over? I only use it every few months
Comment 7 Dodji Seketeli 2009-02-19 05:34:05 EST
Okay, thanks.

I proposed the patch approach as I was not sure if you'd want to use the newer tarball in F-9. But I think you are right.

As for taking over the package, I'd be glad to do so. I am the upstream of http://projects.gnome.org/nemiver/ and that software uses ghex :)

> - I don't use dist in devel on purpose for packages that are not regularly
> rebuild

Sorry, just for my own understanding, why if the package is not regularly rebuilt, you'd want to not use %{?dist} ?  I am not saying you are wrong, I just want to understand the rationale.

Thank you.
Comment 8 Thorsten Leemhuis 2009-02-19 06:11:58 EST
(In reply to comment #7)
> I proposed the patch approach as I was not sure if you'd want to use the newer
> tarball in F-9. But I think you are right.

Well, for F9 patching indeed might be better
 
> As for taking over the package, I'd be glad to do so. I am the upstream of
> http://projects.gnome.org/nemiver/ and that software uses ghex :)

Before I release ownership for completeness: drago, denis, you are co-maintaining the package for longer. Are you willing to take ghex over? Are you fine with   Dodji taking it over?

> > - I don't use dist in devel on purpose for packages that are not regularly
> > rebuild
> Sorry, just for my own understanding, why if the package is not regularly
> rebuilt, you'd want to not use %{?dist} ?  I am not saying you are wrong, I
> just want to understand the rationale.

The long story short: I want to prevent that packages with disttag "fc9" enter later releases like F10
Comment 9 Denis Leroy 2009-02-19 06:53:52 EST
I'm ok with Dodji taking it over :-)
Comment 10 Bug Zapper 2009-06-09 23:34:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 11:20:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.